%define kdeprefix /opt/kde
%define version 1.1.1
%define kderelease 2
%define sourcedir stable/1.1.1/distribution/tar/generic/source
%define tag -1.1.1
%define topdirtag -1.1.1
Serial: 3

%define target RedHat 5.1 or 5.2 systems
%define compiler egcs
%define rhseries rh5x
%define redhat redhat-release >= 5.1
%define qtrequired  qt >= 1.42 qt-egcs-10x

%define kdename kdeadmin
%define kpackage kpackage-1.3.2 
%define topdir %{kdename}%{topdirtag}
Name: %{kdename}
Summary: K Desktop Environment - System Administration Tools
Version: %{version}
Release: %{kderelease}%{rhseries}
URL: http://www.kde.org
Source: ftp://ftp.kde.org:/pub/kde/%{sourcedir}/%{kdename}%{tag}.tar.gz
Source1: ftp://ftp.uwa.edu.au/pub/k/%{kpackage}.tgz
#Patch: kdeadmin-%{version}-redhat.patch
Group: X11/KDE/Utilities
BuildRoot: /var/tmp/%{kdename}-buildroot
Copyright: GPL
Requires: %{qtrequired} %{redhat} kdebase-%{rhseries}
Distribution: KDE
Packager: KDE Packaging Team <redhat-rpms@kde.org>
Vendor: The KDE Team
Prefix: %{kdeprefix}
#%define packages backup sysvinit users kpackage
%define packages backup sysvinit kpackage
%define backup kdat
%define sysvinit ksysv
#%define users kuser
#%define subdirs %{backup} %{sysvinit} %{users}
%define subdirs %{backup} %{sysvinit} 
%description
System Administration tools for the K Desktop Environment.

Included with this package are: 
kdat (tape backup); ksysv (sysV init editor); kpackage (RPM and Debian
package manager)

%package backup
Summary: K Desktop Environment - System Administration Tools - kdat
Group: X11/KDE/Utilities
Obsoletes: kdeadmin
Copyright: GPL
Prefix: %{kdeprefix}
%description backup
This is the application "kdat" from the "kdeadmin" collection of KDE 
applications. It is a tape backup utility originally written for DAT tape 
drives, but will work with other tape drives.

This package is intended for %{target}.
It will be installed by default in %{kdeprefix}, but is relocatable to install
under e.g., /usr/kde, using "rpm --prefix /usr/kde ..."

%package sysvinit
Summary: K Desktop Environment - System Administration Tools - ksysv
Group: X11/KDE/Utilities
Obsoletes: kdeadmin
Copyright: GPL
Prefix: %{kdeprefix}
%description sysvinit
This is the application "ksysv" from the "kdeadmin" collection of KDE 
applications. It is a graphical tool for configuring Unix System V type 
startup and shutdown of system services.

This package is intended for %{target}.
It will be installed by default in %{kdeprefix}, but is relocatable to install
under e.g., /usr/kde, using "rpm --prefix /usr/kde ..."

#%package users
#Summary: K Desktop Environment - System Administration Tools - kuser
#Group: X11/KDE/Utilities
#Obsoletes: kdeadmin
#Copyright: GPL
#Prefix: %{kdeprefix}
#%description users
#This is the application "kuser" from the "kdeadmin" collection of KDE 
#applications. It provides a graphical interface for managing user accounts and
#group membership.

#This package is intended for %{target}.
#It will be installed by default in %{kdeprefix}, but is relocatable to install
#under e.g., /usr/kde, using "rpm --prefix /usr/kde ..."

%package kpackage
Summary: K Desktop Environment - System Administration Tools - kpackage
Group: X11/KDE/Utilities
Obsoletes: kpackage
Copyright: GPL
URL: http://www.general.uwa.edu.au/u/toivo/kpackage
Prefix: %{kdeprefix}
%description kpackage
kpackage is a graphical interface for managing .rpm (and .deb)
packages.  It can install and uninstall them, query the rpm database,
etc.   %{kpackage} has been added to this RPM series as an "extra" 
application; it is not yet part of the "official" kdeadmin collection
for KDE-1.1.1, but will be added in future releases.  

This package is intended for %{target}.
It will be installed by default in %{kdeprefix}, but is relocatable to install
under e.g., /usr/kde, using "rpm --prefix /usr/kde ..."

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{topdir}
#%patch -p1

%setup -q  -T  -n %{kpackage} -b 1

%build
cd $RPM_BUILD_DIR/%{topdir}
export KDEDIR=%{kdeprefix}
CC=%{compiler} ./configure --prefix=%{kdeprefix} --with-install-root=$RPM_BUILD_ROOT --with-pam --with-private-groups
make
cd $RPM_BUILD_DIR/%{kpackage}
CC=%{compiler} ./configure --prefix=%{kdeprefix} --with-install-root=$RPM_BUILD_ROOT --disable-path-check
make KDEDIR=%{kdeprefix}

%install

cd $RPM_BUILD_DIR/%{topdir}/po
rm -rf $RPM_BUILD_ROOT/*
make prefix=$RPM_BUILD_ROOT%{kdeprefix} install-strip
rm -rf $RPM_BUILD_DIR/%{kdename}-po
mkdir $RPM_BUILD_DIR/%{kdename}-po
cp -a $RPM_BUILD_ROOT/* $RPM_BUILD_DIR/%{kdename}-po


for subdir in %{subdirs} ; do
	rm -rf $RPM_BUILD_ROOT/*
	cd $RPM_BUILD_DIR/%{kdename}-po
        find . -name "$subdir*" | cpio -dpv $RPM_BUILD_ROOT       
        find $RPM_BUILD_ROOT -type d -exec chmod 0755 {} ';'      
	cd $RPM_BUILD_DIR/%{topdir}/$subdir
	make prefix=$RPM_BUILD_ROOT%{kdeprefix} install-strip
	cd $RPM_BUILD_ROOT
	tar -cvf $RPM_BUILD_DIR/$subdir.tar .%{kdeprefix}
done

# add kpackage
rm -rf $RPM_BUILD_ROOT/*
cd $RPM_BUILD_DIR/%{kpackage}
export KDEDIR=%{kdeprefix}
make prefix=$RPM_BUILD_ROOT%{kdeprefix} install-strip
cd $RPM_BUILD_ROOT
tar -cvf $RPM_BUILD_DIR/kpackage.tar .%{kdeprefix}


cd $RPM_BUILD_ROOT
for package in %{packages} ; do
	rm -rf $RPM_BUILD_ROOT/*
        pkgdirs=""
	if [ "$package" = "backup" ] ; then pkgdirs="%{backup}"
	elif [ "$package" = "sysvinit" ] ; then pkgdirs="%{sysvinit}"
#	elif [ "$package" = "users" ] ; then pkgdirs="%{users}"
	elif [ "$package" = "kpackage" ] ; then pkgdirs="kpackage"
	fi
	for subdir in $pkgdirs ; do
		tar -xvf $RPM_BUILD_DIR/$subdir.tar
		rm $RPM_BUILD_DIR/$subdir.tar
	done
	tar -cvf $RPM_BUILD_DIR/$package.pkg.tar .
	find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
		$RPM_BUILD_DIR/file.list.%{kdename}.$package

	find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
		-e '/\/config\//s|^|%config|' >> \
		$RPM_BUILD_DIR/file.list.%{kdename}.$package

	find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
		$RPM_BUILD_DIR/file.list.%{kdename}.$package
done

cd $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/*
for package in %{packages} ; do
	tar -xvf $RPM_BUILD_DIR/$package.pkg.tar
done

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/%{kdename}-po
for package in %{packages} ; do
	rm -f $RPM_BUILD_DIR/file.list.%{kdename}.$package
	rm -f $RPM_BUILD_DIR/$package.pkg.tar
done

#%files users -f ../file.list.%{kdename}.users
%files sysvinit -f ../file.list.%{kdename}.sysvinit
%files backup -f ../file.list.%{kdename}.backup
%files kpackage -f ../file.list.%{kdename}.kpackage

%changelog
* Tue Apr 27 1999 <duncan@kde.org>
- kuser omitted from KDE-1.1.1 distribution 

* Sun Apr 18 1999 < duncan@kde.org>
- updated for KDE-1.1.1.
- added kpackage as a subpackage

* Sun Apr 4 1999 <duncan@kde.org>
- patch for kuser, now implements User Private Group scheme.

* Sat Feb 13 1999 <duncan@kde.org>
- files in KDEDIR/share/applnk no longer treated as %config files
- fix bad /opt/kde directory permissions bug 

* Mon Feb 8 1999 <duncan@kde.org>
- new rpm packaging for KDE-1.1
- relocatable rpms
- individual apps in subpackages


